Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Interface FaultDetectionHandler<T>

All Known Implementing Classes:
  AbstractFaultDetectionHandler, AdminFaultDetectionHandler, HeartbeatFaultDetectionHandler, StandardFaultDetectionHandler

    public interface FaultDetectionHandler<T>

The FaultDetectionHandler is loaded by client entities do determine whether a service is reachable. Developers may choose to implement custom fault detection algorithms and protocols to determine service reachability and use those approaches in concrete implementations of this interface

Method Summary
`void` | `monitor(Object service, T serviceID, LookupCache lCache)` Begin monitoring the service
`void` | `register(FaultDetectionListener<T> listener)` Register a FaultDetectionListener
`void` | `setConfiguration(String[] configArgs)` Set configuration attributes for the FaultDetectionHandler.
`void` | `terminate()` Terminate the FaultDetectionHandler
`void` | `unregister(FaultDetectionListener<T> listener)` Unregister a FaultDetectionListener

Method Detail

### setConfiguration

    void setConfiguration(String[] configArgs)

  Set configuration attributes for the FaultDetectionHandler.

  Parameters:
    `configArgs` - Configuration attributes a FaultDetectionHandler will use to monitor the service. Values are specific to a concrete instance of the FaultDetectionHandler

### register

    void register(FaultDetectionListener<T> listener)

  Register a FaultDetectionListener

  Parameters:
    `listener` - The FaultDetectionListener to register

### unregister

    void unregister(FaultDetectionListener<T> listener)

  Unregister a FaultDetectionListener

  Parameters:
    `listener` - The FaultDetectionListener to unregister

### monitor

    void monitor(Object service,
                 T serviceID,
                 LookupCache lCache)
                 throws Exception

  Begin monitoring the service

  Parameters:
    `service` - The service that the FaultDetectionHandler will monitor
    `serviceID` - An Object representing a unique service identifier for the service being monitored.
    `lCache` - A LookupCache instance to be used to be notified of service transition events from a Jini Lookup Service
  Throws:
    `Exception` - If there are abnormal conditions encountered

### terminate

    void terminate()

  Terminate the FaultDetectionHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.